## ros-noetic-kdl-parser 1.14.2

=== debian/changelog ===
ros-noetic-kdl-parser (1.14.2-1buster) buster; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-noetic-kdl-parser (1.14.1-1buster) buster; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 24 Aug 2020 00:00:00 -0000

ros-noetic-kdl-parser (1.14.0-1buster) buster; urgency=high

  * Used keys for Orocos (#38 <https://github.com/ros/kdl_parser/issues/38>)
  * Set C++ standard to 14 (#37 <https://github.com/ros/kdl_parser/issues/37>)
  * Contributors: Alejandro Hernández Cordero, James Xu, Shane Loretz

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 13 Apr 2020 00:00:00 -0000

ros-noetic-kdl-parser (1.13.1-1buster) buster; urgency=high

  * Fix up missing link tags in some XML files. (#15 <https://github.com/ros/kdl_parser/issues/15>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 23 Jul 2018 00:00:00 -0000

ros-noetic-kdl-parser (1.13.0-1buster) buster; urgency=high

  * kdl_parser: switch from TinyXML to TinyXML2 (#4 <https://github.com/ros/kdl_parser/issues/4>)
  * Style fixes from ros2 (#11 <https://github.com/ros/kdl_parser/issues/11>)
  * Make rostest a test_depend (#3 <https://github.com/ros/kdl_parser/issues/3>)
  * update links now that this is in its own repo
  * Contributors: Chris Lalancette, Dmitry Rozhkov, Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 05 Apr 2018 00:00:00 -0000

ros-noetic-kdl-parser (1.12.10-1buster) buster; urgency=high

  * Use result of find_package(orocos_kdl) properly (#200 <https://github.com/ros/robot_model/issues/200>)
    orocos_kdl_LIBRARY_DIRS was not set

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 17 May 2017 00:00:00 -0000

ros-noetic-kdl-parser (1.12.9-1buster) buster; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 26 Apr 2017 00:00:00 -0000

ros-noetic-kdl-parser (1.12.8-1buster) buster; urgency=high

  * add Chris and Shane as maintainers (#184 <https://github.com/ros/robot_model/issues/184>)
  * fix missed mandatory -std=c++11 flag (#181 <https://github.com/ros/robot_model/issues/181>)
    collada_parser,kdl_parser,urdf: add c++11 flag,
    collada_parser: replace typeof with ansi __typeof__
    builded/tested on gentoo
    Thanks den4ix for the contribution!
  * Contributors: Denis Romanchuk, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-noetic-kdl-parser (1.12.7-1buster) buster; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Jan 2017 00:00:00 -0000

ros-noetic-kdl-parser (1.12.6-1buster) buster; urgency=high

  * Now using ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#144 <https://github.com/ros/robot_model/issues/144>)
  * Contributors: Jochen Sprickerhof

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Jan 2017 00:00:00 -0000

ros-noetic-kdl-parser (1.12.5-1buster) buster; urgency=high

  * fix segfault: safely handle empty robot model (#154 <https://github.com/ros/robot_model/issues/154>)
  * Contributors: Robert Haschke

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 27 Oct 2016 00:00:00 -0000

ros-noetic-kdl-parser (1.12.4-1buster) buster; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 23 Aug 2016 00:00:00 -0000

ros-noetic-kdl-parser (1.12.3-1buster) buster; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-noetic-kdl-parser (1.12.2-1buster) buster; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 12 Apr 2016 00:00:00 -0000

ros-noetic-kdl-parser (1.12.1-1buster) buster; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 10 Apr 2016 00:00:00 -0000

ros-noetic-kdl-parser (1.11.8-1buster) buster; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 11 Sep 2015 00:00:00 -0000

ros-noetic-kdl-parser (1.11.7-1buster) buster; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 22 Apr 2015 00:00:00 -0000

ros-noetic-kdl-parser (1.11.6-1buster) buster; urgency=high

  * add version dependency on orocos_kdl >= 1.3.0
  * Contributors: William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 30 Nov 2014 00:00:00 -0000

ros-noetic-kdl-parser (1.11.5-1buster) buster; urgency=high

  * Update KDL SegmentMap interface to optionally use shared pointers
    The KDL Tree API optionally uses shared pointers on platforms where
    the STL containers don't support incomplete types.
  * Contributors: Brian Jensen

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 24 Jul 2014 00:00:00 -0000

ros-noetic-kdl-parser (1.11.4-1buster) buster; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 07 Jul 2014 00:00:00 -0000

ros-noetic-kdl-parser (1.11.3-1buster) buster; urgency=high

  * kdl_parser: Adding kdl library explicitly so that dependees can find it
  * Contributors: Jonathan Bohren

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 24 Jun 2014 00:00:00 -0000

ros-noetic-kdl-parser (1.11.2-1buster) buster; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 22 Mar 2014 00:00:00 -0000

ros-noetic-kdl-parser (1.11.1-1buster) buster; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 20 Mar 2014 00:00:00 -0000

ros-noetic-kdl-parser (1.11.0-1buster) buster; urgency=high

  * fix test at kdl_parser
  * Contributors: YoheiKakiuchi

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 21 Feb 2014 00:00:00 -0000

ros-noetic-kdl-parser (1.10.18-1buster) buster; urgency=high

  * add DEPENDS for kdl_parser
  * Contributors: Ioan Sucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Dec 2013 00:00:00 -0000

ros-noetic-kdl-parser (1.10.16-1buster) buster; urgency=high

  * check for CATKIN_ENABLE_TESTING


