=== debian/control ===
Source: ros-noetic-kdl-parser
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), liborocos-kdl-dev (>= 1.3.0), libtinyxml-dev, libtinyxml2-dev, liburdfdom-headers-dev, ros-noetic-catkin (>= 0.5.68), ros-noetic-cmake-modules, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rostest, ros-noetic-urdf
Homepage: http://ros.org/wiki/kdl_parser
Standards-Version: 3.9.2

Package: ros-noetic-kdl-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liborocos-kdl-dev (>= 1.3.0), libtinyxml-dev, libtinyxml2-dev, liburdfdom-headers-dev, ros-noetic-rosconsole, ros-noetic-urdf
Description: The Kinematics and Dynamics Library (KDL) defines a tree structure to represent the kinematic and dynamic parameters of a robot mechanism.
 kdl_parser provides tools to construct a KDL tree from an XML robot representation in URDF.
